Bug 215511 - Can't print a brochure in a different orientation to page style setting
Can't print a brochure in a different orientation to page style setting
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-14 09:04 EST by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.4-5.5.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 03:59:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2006-11-14 09:04:11 EST
Description of problem:
Brochure printing seems to be broken currently.

Version-Release number of selected component (if applicable):
openoffice.org-core-2.0.4-5.5.3

How reproducible:
100%

Steps to Reproduce:
1.Create a new document with the default paper layout and make four pages, with
'1', '2', '3' and '4' as the text on them.
2.Print a brochure
Using the GTK+ print dialog (default in FC6):
3. Select a duplex printer
4. In the 'Page Setup' tab select 'Short Edge (Flip)' for the Two-sided option
5. In the 'General' tab click 'Options...' and select 'Brochure'.  Click OK.
6. Click Print to print
---OR---
Using the OOo native dialogs (default in FC5):
3. Select a duplex printer
4. Click Properties and select Landscape orientation and 'Short Edge (Flip)' for
Duplex.  Click OK.
5. Click 'Options...' and select 'Brochure'.  Click OK.
6. Click OK to print

Actual results:
With GTK+ print dialog I get this:

front:
+-----+
|4   1|
|     |
|     |
|     |
+--X--+

back:
+--X--+
|2   3|
|     |
|     |
|     |
+-----+

Expected results:
With the native OOo dialog I get this, which is what I wanted:

front:
+-------------+
|4     :  1   |
|      :      X
|      :      |
+-------------+

back:
+-------------+
|2     !  3   |
X      !      |
|      !      |
+-------------+

: - mountain fold
! - valley fold

Additional info:
Comment 1 Caolan McNamara 2006-11-14 09:22:25 EST
Looks like we need a paper setup tab with orientation in it after all, didn't
think we did as one of the complaints of the old dialog was that orientation
isn't honoured by OOo as the page style overrides it. Obviously in a brochure
case this isn't the case.
Comment 2 Caolan McNamara 2006-11-16 09:34:06 EST
dragging localized strings about the place sucks ass big time, nevertheless I've
got something which should work properly, I'll build it and get you to have a
look  to verify that it's good when built. (should be 2.0.4-5.5.4)
Comment 3 Caolan McNamara 2006-11-17 03:37:38 EST
Can you give 2.0.4-5.5.4 a go and see does it fit requirements
Comment 4 Tim Waugh 2006-11-17 05:42:50 EST
It crashed I'm afraid.  Only difference from above 'how-to-reproduce' was that I
also selected landscape orientation.

(I)    x.org loaded video driver of...
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.1-30-x86_64 libgcj-4.1.1-30-i386
(V)    kernel is: Linux 2.6.18-1.2798.fc6 #1 SMP Mon Oct 16 14:39:22 EDT 2006
x86_64 x86_64 x86_64
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.0.4-5.5.4-x86_64
(VII)  depth of root window:    16 planes
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora Core release 6 (Zod)
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0xaee06708: /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3 + 0x36708
0xaee0718b: /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3 + 0x3718b
0xb0a30210: /lib64/libc.so.6 + 0x30210
0xb0a75510: /lib64/libc.so.6 + 0x75510 (strlen + 0x30)
0xad5d591d: /usr/lib64/openoffice.org2.0/program/libsvt680lx.so + 0x25e91d
(PrintDialog::Execute() + 0x97d)
0xb0a97f2e: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x26ef2e
0xb0ad7215: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x2ae215
(SfxShell::ExecuteSlot(SfxRequest&, SfxInterface const*) + 0x65)
0xab6c7085: /usr/lib64/openoffice.org2.0/program/libsw680lx.so + 0x9bc085
(SwView::ExecutePrint(SfxRequest&) + 0x425)
0xb0ac5bb6: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x29cbb6
0xb0ac6337: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x29d337
0xb0af2562: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x2c9562
0xacd44941: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x299941
0xb6e71ee7: /usr/lib64/openoffice.org2.0/program/libvclplug_gen680lx.so +
0x57ee7 (SalDisplay::DispatchInternalEvent() + 0xb7)
0xb6bc3076: /usr/lib64/openoffice.org2.0/program/libvclplug_gtk680lx.so + 0x16076
0xb222cf44: /lib64/libglib-2.0.so.0 + 0x2cf44 (g_main_context_dispatch + 0x1b4)
0xb222fd7d: /lib64/libglib-2.0.so.0 + 0x2fd7d
0xb22302ae: /lib64/libglib-2.0.so.0 + 0x302ae (g_main_context_iteration + 0x6e)
0xb6bc4a9b: /usr/lib64/openoffice.org2.0/program/libvclplug_gtk680lx.so + 0x17a9b
0xacb73d11: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xc8d11
(Application::Yield(bool) + 0x51)
0xacb73daa: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xc8daa
(Application::Execute() + 0x2a)
0xaaad8d15: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x2bd15
(desktop::Desktop::Main() + 0x15a5)
0xacb79479: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xce479
0xacb79565: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xce565
(SVMain() + 0x25)
0xaaacbd36: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x1ed36
(sal_main + 0x46)
0xb0a1da44: /lib64/libc.so.6 + 0x1da44 (__libc_start_main + 0xf4)
0x400619: /usr/lib64/openoffice.org2.0/program/swriter.bin + 0x619
...end stackreport details ...
...start sample ldd details ...
	libuno_sal.so.3 => /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3
(0x00002aaaaaccd000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib64/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0x00002aaaab0c2000)
	libstore.so.3 => /usr/lib64/openoffice.org2.0/program/libstore.so.3
(0x00002aaaab2c6000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002aaaab4fd000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaaab701000)
	libstlport_gcc.so => /usr/lib64/openoffice.org2.0/program/libstlport_gcc.so
(0x00002aaaab91b000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002aaaabbf5000)
	libm.so.6 => /lib64/libm.so.6 (0x00002aaaabef7000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002aaaac17a000)
	libc.so.6 => /lib64/libc.so.6 (0x00002aaaac388000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002aaaac6d6000)
	/lib64/ld-linux-x86-64.so.2 (0x0000555555554000)
...end sample ldd details ...
Comment 7 Caolan McNamara 2007-01-04 03:59:52 EST
does this now function ok with 2.0.4-5.5.10 ?, if fixed but failed feel free to
reopen and I'll have another tilt at it.
Comment 8 Tim Waugh 2007-01-04 05:58:30 EST
Yes, seems to work fine now.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.